{% extends "posts/base.html"%}
{% block page_content %}
    <font color=black>

    {% for post in posts %}
    <div id="page" class="container">
    <div class="row">

        <div id="sidebar" class="4u">
        <section>
            <header class="major">
                <h2>Details:</h2>
            </header>
            <div class="row half">
                <section class="6u">
                    <ul class="default">
                        {% if post.author %}
                        <li><b>Author: <br>{{ post.author }}, {{ post.relation.cro_uni }}</b></li>
                        {% else %}
                        <li><font color="red">Erased profile</font></li>
                        {% endif %}
                        <li><b>{{ post.relation.ex_uni }}, {{ post.ex_year }}</b></li>
                        <li><b>Programm: {{ post.relation.program.short_name }}</b><br><b>ISCED Area: {{ post.relation.ISCED_Area }}</b></li>
                    </ul>
                </section>
            </div>
        </section>
    </div>


    <div id="content" class="8u skel-cell-important">
        <section>
            <header class="major">
                <h2>{{ post.title }}</h2>
                <span class="byline">{{ post.last_modified|date:"F d, Y" }}</span>
                {% if post.author == user %}
                    <div>
                        <a class = "btn btn-secondary btn-sm mt-1 mb-1" href={% url 'post-update' post.id %}>Update</a>
                        <a class = "btn btn-danger btn-sm mt-1 mb-1" href={% url 'post-delete' post.id %}>Delete</a>
                    </div>
                {% endif %}
           </header>
            <p class="article-content">{{ post.generally }}</p>
          </section>
        <a href="{% url 'post-detail' post.id %}" class="button">Read More</a>

    </div>

    </div>
    </div>

    <p></p><p></p>

    {% endfor %}

    {% if is_paginated %}
     <div id="banner" class="big">
        <section>
      {% if page_obj.has_previous %}
        <a href="?page=1"><strong>First</strong></a>
        <a href="?page={{ page_obj.previous_page_number }}"><strong>Previous</strong></a>
      {% endif %}

      {% for num in page_obj.paginator.page_range %}
        {% if page_obj.number == num %}
          <a href="?page={{ num }}"><strong>{{ num }}</strong></a>
        {% elif num > page_obj.number|add:'-3' and num < page_obj.number|add:'3' %}
          <a href="?page={{ num }}"><strong>{{ num }}</strong></a>
        {% endif %}
      {% endfor %}

      {% if page_obj.has_next %}
        <a href="?page={{ page_obj.next_page_number }}"><strong>Next</strong></a>
        <a href="?page={{ page_obj.paginator.num_pages }}"><strong>Last</strong></a>
      {% endif %}
    </section>
{% endif %}

</div>
    </font>
{% endblock %}
